// http://stackoverflow.com/questions/1859243/css-fixed-with-horizontal-menu-with-variable-width-tabs-using-ul
jQuery(document).ready(function($) {
  var $menu, totalwidth, li;

  var actualWidth = $('#mainnav ul').width();
  var totalLIWidth = 0;

  // Calculate total width of list items
  var lis = $('#mainnav ul li');

  lis.each(function(){
    totalLIWidth += $(this).width();
  });

  // Work out how much padding we need
  var requiredPadding = Math.round(((actualWidth-totalLIWidth)/lis.length)/2);

  // To account for rounding errors, the error is going to be forced into the first tab.
  var roundingErrorFix = (requiredPadding*lis.length*2)+totalLIWidth-actualWidth;
  if (roundingErrorFix < 0)
    roundingErrorFix = 0;

  // Apply padding to list items
  var isFirst = true;
  lis.each(function() {
    if(isFirst) {
        $(this).css('padding-left', requiredPadding - roundingErrorFix +'px')
                .css('padding-right', requiredPadding - roundingErrorFix +'px');
        isFirst = false;
    }
    else
        $(this).css('padding-left', requiredPadding+'px')
                .css('padding-right', requiredPadding+'px');
  });
});